## homerun 1.1.0

=== CMakeLists.txt ===
project(homerun)

SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

# Packaging
set(HOMERUN_VERSION "1.1.0")

# Dependencies
find_package(KDE4 4.9.97 REQUIRED)
include(KDE4Defaults)
find_package(KDE4Workspace REQUIRED)
find_package(KDeclarative REQUIRED)
find_package(LibKonq REQUIRED)
macro_log_feature(LIBKONQ_FOUND "libkonq" "Standard file management features" "http://www.kde.org" TRUE)

# Compile options
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-std=c++0x)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

# configuration file
configure_file(homerun_config.h.in ${CMAKE_BINARY_DIR}/homerun_config.h @ONLY)

# config/
install(FILES config/homerunrc DESTINATION ${CONFIG_INSTALL_DIR})

install(FILES data/favoriteapps.xml DESTINATION ${DATA_INSTALL_DIR}/homerun/)

add_subdirectory(lib)
add_subdirectory(applet)
add_subdirectory(shell)
add_subdirectory(components)
add_subdirectory(fixes)
add_subdirectory(tests)
add_subdirectory(icons)
add_subdirectory(package)
add_subdirectory(plugins)

get_filename_component(_po_path po ABSOLUTE)

if (EXISTS ${_po_path}/CMakeLists.txt)
    find_package(Msgfmt REQUIRED)
    find_package(Gettext REQUIRED)
endif()

if (EXISTS ${_po_path}/CMakeLists.txt)
    add_subdirectory(po)
endif()

macro_display_feature_log()

=== components/CMakeLists.txt ===
project(components)

set(components_SRCS
    ${CMAKE_SOURCE_DIR}/internal/aboutdata.cpp
    abstractsourceregistry.cpp
    action.cpp
    actionmanager.cpp
    componentsplugin.cpp
    globalsettings.cpp
    helpmenuactions.cpp
    icondialog.cpp
    image.cpp
    messagebox.cpp
    shadoweffect.cpp
    sourceconfigurationdialog.cpp
    sourcemodel.cpp
    sourceregistry.cpp
    sources/dir/dirconfigurationwidget.cpp
    sources/dir/dirmodel.cpp
    sources/favorites/favoriteappsmodel.cpp
    sources/favorites/favoriteplacesmodel.cpp
    sources/favorites/favoriteutils.cpp
    sources/favorites/fileplacesmodel.cpp
    sources/favorites/kfileplacesitem.cpp
    sources/favorites/kfileplacessharedbookmarks.cpp
    sources/installedapps/changenotifier.cpp
    sources/installedapps/filterableinstalledappsmodel.cpp
    sources/installedapps/groupedinstalledappsmodel.cpp
    sources/installedapps/installedappsconfigurationwidget.cpp
    sources/installedapps/installedappsmodel.cpp
    sources/power/powermodel.cpp
    sources/runners/querymatchmodel.cpp
    sources/runners/singlerunnermodel.cpp
    sources/runners/runnerconfigurationwidget.cpp
    sources/runners/runnermodel.cpp
    sources/session/openedsessionsmodel.cpp
    sources/session/sessionmodel.cpp
    sources/session/sessionswatcher.cpp
    standarditemmodel.cpp
    tabmodel.cpp
    )

kde4_add_ui_files(components_SRCS
    sources/dir/dirconfigurationwidget.ui
    sources/installedapps/installedappsconfigurationwidget.ui
    sources/runners/runnerconfigurationwidget.ui
    )

qt4_automoc(${components_SRCS})

include_directories(
    ${lib_BINARY_DIR}
    ${lib_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/internal
    ${CMAKE_CURRENT_SOURCE_DIR}/sources/dir
    ${CMAKE_CURRENT_SOURCE_DIR}/sources/favorites
    ${CMAKE_CURRENT_SOURCE_DIR}/sources/installedapps
    ${CMAKE_CURRENT_SOURCE_DIR}/sources/power
    ${CMAKE_CURRENT_SOURCE_DIR}/sources/runners
    ${CMAKE_CURRENT_SOURCE_DIR}/sources/session
    )

kde4_add_library(componentsplugin SHARED ${components_SRCS})

target_link_libraries(componentsplugin
        ${QT_QTCORE_LIBRARY}
        ${QT_QTDECLARATIVE_LIBRARY}
        ${KDE4_PLASMA_LIBS}
        ${KDE4_KIO_LIBS}
        ${KDE4_KFILE_LIBS}
        ${KDE4_SOLID_LIBS}
        ${KDE4WORKSPACE_KWORKSPACE_LIBS}
        homerun
        )

install(TARGETS componentsplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/homerun/components)
install(DIRECTORY qml/
    DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/homerun/components
    PATTERN "*.qml"
    PATTERN "qmldir"
    PATTERN "*.js"
    )

=== po/CMakeLists.txt ===
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( fi )
add_subdirectory( lt )
add_subdirectory( mr )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )

## homerun 0.1.1

=== debian/changelog ===
homerun (0.1.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 19:55:12 +0000

homerun (0.1.0-0ubuntu2) raring; urgency=low

  * Fixed debian/copyright to reflect the actual licensing on components/qml/*
  * Fixed symbols file, shlibs created dependency on libhomerun instead of
    libhomerun0

 -- Michal Zajac <quintasan@kubuntu.org>  Tue, 20 Nov 2012 01:43:45 +0100

homerun (0.1.0-0ubuntu1) raring; urgency=low

  * Initial release (LP: #1078889)

 -- Michal Zajac <quintasan@kubuntu.org>  Wed, 14 Nov 2012 21:30:06 +0100

=== debian/control ===
Source: homerun
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Michał Zając <quintasan@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kde-workspace-dev,
               kdelibs5-dev,
               pkg-kde-tools
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/playground/base/homerun

Package: libhomerun0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: application launcher for KDE Plasma desktop
 Homerun is a launcher and a desktop containment for KDE Plasma desktop
 written in QML

Package: libhomerun-dev
Architecture: any
Section: devel
Depends: libhomerun0 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: application launcher for KDE Plasma desktop - development files
 Homerun is a launcher and a desktop containment for KDE Plasma desktop
 written in QML
 .
 This package contains development headers for Homerun

Package: plasma-widget-homerun
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: application launcher for KDE Plasma desktop - development files
 Homerun is a launcher and a desktop containment for KDE Plasma desktop
 written in QML
 .
 This package contains the actual Plasma widget

## homerun 0.2.2

=== debian/changelog ===
homerun (0.2.2-0ubuntu1) raring; urgency=low

  * New upstream release. (LP: #1169616)
  * Included translations. 

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 17 Apr 2013 16:20:49 +0800

homerun (0.2.1-0ubuntu2) raring; urgency=low

  * Really add a debian/watch file.

 -- Howard Chan <smartboyhw@gmail.com>  Sat, 02 Mar 2013 21:02:14 +0800

homerun (0.2.1-0ubuntu1) raring; urgency=low

  [ Howard Chan ]
  * New upstream release. (LP: #1137865)
  * Updated debian/control for latest standards version.
  * Fixed install files to add/remove extra files.
  * Fixed symbols file to enable the newest 7 symbols. 
  * Added a watch file.

  [ Philip Muškovac ]
  * Fix lintian warning:
    wrong-section-according-to-package-name libhomerun-dev => libdevel

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 01 Mar 2013 22:30:12 +0800

## homerun 0.2.3

=== debian/changelog ===
homerun (0.2.3-0ubuntu0.13.04) raring-proposed; urgency=low

  * New upstream translations (LP: #1177399)
  * Update symbols file.
  * Change locale install to use regex (picks up new translations)

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 07 May 2013 18:55:19 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                kde-workspace-dev,
                kdelibs5-dev,
                pkg-kde-tools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/playground/base/homerun
 
 Package: libhomerun0
@@ -21,7 +21,7 @@
 
 Package: libhomerun-dev
 Architecture: any
-Section: devel
+Section: libdevel
 Depends: libhomerun0 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: application launcher for KDE Plasma desktop - development files
  Homerun is a launcher and a desktop containment for KDE Plasma desktop

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=kde

#Overriding tests since currently they fail even with xvfb
override_dh_auto_test:

=== debian/watch ===
version=3
http://download.kde.org/unstable/homerun/src/homerun-(.+).tar.bz2

## homerun 1.1.0

=== debian/changelog ===
homerun (1.1.0-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 15 Jul 2013 14:32:41 +0100

homerun (1.0.0-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 30 May 2013 15:34:52 +0100

homerun (0.2.3-0ubuntu2) saucy; urgency=low

  * Change language install to use regex (picks up sl)

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 07 May 2013 20:38:09 +0200

homerun (0.2.3-0ubuntu1) saucy; urgency=low

  * New upstream translations (LP: #1177399)
  * Update symbols file.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 07 May 2013 18:55:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                debhelper (>= 8.0.0),
                kde-workspace-dev,
                kdelibs5-dev,
+               libkonq5-dev,
                pkg-kde-tools
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/playground/base/homerun

## homerun 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
 
 # Packaging
-set(HOMERUN_VERSION "1.1.0")
+set(HOMERUN_VERSION "1.2.1")
 
 # Dependencies
-find_package(KDE4 4.9.97 REQUIRED)
+find_package(KDE4 4.10.0 REQUIRED)
 include(KDE4Defaults)
 find_package(KDE4Workspace REQUIRED)
 find_package(KDeclarative REQUIRED)
@@ -24,17 +24,17 @@
 
 # config/
 install(FILES config/homerunrc DESTINATION ${CONFIG_INSTALL_DIR})
+install(FILES config/homerunkickerrc DESTINATION ${CONFIG_INSTALL_DIR})
 
 install(FILES data/favoriteapps.xml DESTINATION ${DATA_INSTALL_DIR}/homerun/)
 
 add_subdirectory(lib)
-add_subdirectory(applet)
-add_subdirectory(shell)
 add_subdirectory(components)
+add_subdirectory(fullscreen)
 add_subdirectory(fixes)
-add_subdirectory(tests)
+#add_subdirectory(tests)
 add_subdirectory(icons)
-add_subdirectory(package)
+add_subdirectory(kicker)
 add_subdirectory(plugins)
 
 get_filename_component(_po_path po ABSOLUTE)

=== components/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,8 @@
     sources/installedapps/installedappsconfigurationwidget.cpp
     sources/installedapps/installedappsmodel.cpp
     sources/power/powermodel.cpp
+    sources/power/combinedpowersessionmodel.cpp
+    sources/recentapps/recentappsmodel.cpp
     sources/runners/querymatchmodel.cpp
     sources/runners/singlerunnermodel.cpp
     sources/runners/runnerconfigurationwidget.cpp
@@ -56,6 +58,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/sources/favorites
     ${CMAKE_CURRENT_SOURCE_DIR}/sources/installedapps
     ${CMAKE_CURRENT_SOURCE_DIR}/sources/power
+    ${CMAKE_CURRENT_SOURCE_DIR}/sources/recentapps
     ${CMAKE_CURRENT_SOURCE_DIR}/sources/runners
     ${CMAKE_CURRENT_SOURCE_DIR}/sources/session
     )

=== fixes/CMakeLists.txt ===
project(fixes)

set(fixes_SRCS
    datamodel.cpp
    declarativeitemcontainer.cpp
    dialog.cpp
    fixesplugin.cpp
    toolboxtoggle.cpp
    )

qt4_automoc(${fixes_SRCS})

kde4_add_library(fixesplugin SHARED ${fixes_SRCS})

target_link_libraries(fixesplugin
        ${QT_QTCORE_LIBRARY}
        ${QT_QTDECLARATIVE_LIBRARY}
        ${KDE4_PLASMA_LIBS}
        ${KDE4_KIO_LIBS}
        ${KDE4_KFILE_LIBS}
        )

install(TARGETS fixesplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/homerun/fixes)
install(DIRECTORY qml/
    DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/homerun/fixes
    PATTERN "*.qml"
    PATTERN "qmldir"
    PATTERN "*.js"
    )

=== kicker/CMakeLists.txt ===
add_subdirectory(components)
add_subdirectory(package)

=== po/CMakeLists.txt ===
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( lt )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )

=== kicker/package/CMakeLists.txt ===
set(homerun_kicker_plasmoid_dir ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.homerun-kicker)
set(metadata_dot_desktop ${CMAKE_CURRENT_BINARY_DIR}/metadata.desktop)

configure_file(metadata.desktop.cmake
    ${metadata_dot_desktop} @ONLY)

install(DIRECTORY contents
    DESTINATION ${homerun_kicker_plasmoid_dir})

install(FILES ${metadata_dot_desktop}
    DESTINATION ${homerun_kicker_plasmoid_dir})

install(FILES ${metadata_dot_desktop}
    DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-homerun-kicker.desktop)

=== po/ca/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( ca ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
homerun (1.2.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Mar 2014 09:31:07 +0100

homerun (1.2.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1273385)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 28 Jan 2014 15:14:24 +0100

=== debian/control ===
--- 
+++ 
@@ -39,3 +39,15 @@
  written in QML
  .
  This package contains the actual Plasma widget
+
+Package: plasma-widget-homerun-kicker
+Architecture: any
+Section: kde
+Depends: libhomerun0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: application launcher for KDE Plasma desktop - development files
+ Homerun is a launcher and a desktop containment for KDE Plasma desktop
+ written in QML
+ .
+ This package contains files for the Kickoff mode for Homerun
+ .
+ This package contains the actual Plasma widget

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=kde

#Overriding tests since currently they fail even with xvfb
.PHONY: override_dh_auto_test

## homerun 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
 
 # Packaging
-set(HOMERUN_VERSION "1.2.1")
+set(HOMERUN_VERSION "1.2.4")
 
 # Dependencies
 find_package(KDE4 4.10.0 REQUIRED)

=== plugins/CMakeLists.txt ===
add_subdirectory(recentdocuments)

=== po/CMakeLists.txt ===
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( gl )
add_subdirectory( it )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )

=== devdoc/helloworld/CMakeLists.txt ===
project(helloworld)

# Dependencies
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
find_package(Homerun REQUIRED)

# Source
set(helloworld_SRCS
    helloworld.cpp
    )

qt4_automoc(${helloworld_SRCS})

# Build
kde4_add_plugin(homerun_source_helloworld SHARED ${helloworld_SRCS})

include_directories(
    ${HOMERUN_INCLUDES}
    ${KDE4_INCLUDES}
    )

# The library name must start with "homerun_source_". The
# HOMERUN_EXPORT_SOURCE C macro expects this.
target_link_libraries(homerun_source_helloworld
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${HOMERUN_LIBRARIES}
    )

# Install
install(TARGETS homerun_source_helloworld DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES homerun-source-helloworld.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== fullscreen/applet/CMakeLists.txt ===
project(homerunlauncher)

set(homerunlauncher_SRCS
    homerunlauncher.cpp
    )

kde4_add_ui_files(homerunlauncher_SRCS
    generalconfigpage.ui
    )

kde4_add_plugin(plasma_applet_homerunlauncher ${homerunlauncher_SRCS})

target_link_libraries(plasma_applet_homerunlauncher ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_PHONON_LIBS} )

configure_file(plasma-applet-homerunlauncher.desktop.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/plasma-applet-homerunlauncher.desktop @ONLY)

install(TARGETS plasma_applet_homerunlauncher
    DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-applet-homerunlauncher.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

=== kicker/components/CMakeLists.txt ===
project(kicker)

set(kicker_SRCS
    appletproxy.cpp
    fadeouteffect.cpp
    fadeoutitem.cpp
    kickerplugin.cpp
    processrunner.cpp
    sourcelistmodel.cpp
    urlconverter.cpp
    windowsystem.cpp
    )

qt4_automoc(${kicker_SRCS})

kde4_add_library(kickerplugin SHARED ${kicker_SRCS})

target_link_libraries(kickerplugin
        ${QT_QTCORE_LIBRARY}
        ${QT_QTDECLARATIVE_LIBRARY}
        ${KDE4_PLASMA_LIBS}
        )

install(TARGETS kickerplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/homerun/kicker)
install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/homerun/kicker)

=== debian/changelog ===
homerun (1.2.4-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Fix glaring errors in package descriptions.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 20 Feb 2016 19:59:33 -0800

homerun (1.2.4-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream release improving KDE HIG compliance and adding options for
    application name display, allowing for greater control over what type of
    name (appname/genericname and/or description) should be shown.
    LP: #1335838

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 30 Jun 2014 14:40:05 +0200

homerun (1.2.3-0ubuntu0.2) trusty; urgency=medium

  * Fix missing separator in Depends field

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 02 May 2014 16:36:01 +0200

homerun (1.2.3-0ubuntu0.1) trusty; urgency=medium

  * No change backport to trusty

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 18:20:28 +0200

homerun (1.2.3-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1308820)
  * Make plasma-widget-homerun-kicker depend on plasma-widget-homerun (LP: #1275243)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 18:17:55 +0200

=== debian/control ===
Source: homerun
Section: kde
Priority: extra
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
#XSBC-Original-Maintainer: Michał Zając <quintasan@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kde-workspace-dev,
               kdelibs5-dev,
               libkonq5-dev,
               pkg-kde-tools
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/base/homerun

Package: libhomerun0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: application launcher for KDE Plasma desktop
 Homerun is a launcher and a desktop containment for KDE Plasma desktop
 written in QML.
 .
 This package contains the shared library for Homerun.

Package: libhomerun-dev
Architecture: any
Section: libdevel
Depends: libhomerun0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: application launcher for KDE Plasma desktop - development files
 Homerun is a launcher and a desktop containment for KDE Plasma desktop
 written in QML
 .
 This package contains development headers for libhomerun0.

Package: plasma-widget-homerun
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: application launcher for KDE Plasma desktop
 Homerun is a launcher and a desktop containment for KDE Plasma desktop
 written in QML
 .
 This package contains the actual Plasma widget

Package: plasma-widget-homerun-kicker
Architecture: any
Section: kde
Depends: libhomerun0 (= ${binary:Version}), plasma-widget-homerun (= ${binary:Version}),
 ${misc:Depends}, ${shlibs:Depends}
Description: application launcher for KDE Plasma desktop
 Homerun is a launcher and a desktop containment for KDE Plasma desktop
 written in QML
 .
 This package contains files for the Kickoff mode for Homerun

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=kde --parallel

#Overriding tests since currently they fail even with xvfb
.PHONY: override_dh_auto_test

## homerun 1.2.5

=== debian/changelog ===
homerun (1.2.5-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1341473)

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 14 Jul 2014 10:20:47 +0200

homerun (1.2.4-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1315405)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 02 May 2014 16:33:14 +0200
